Name: "Remote"
Repository: "./bin/plugins/"

View:
  Format:
    plugin: "record"
  Processor:
    plugin: "direct"
    # Mirror settings
    #plugin: "mirror"
    #fanout: 2
    # For erasure coding
    #plugin: "erasure"
    #dataBlocks: 3
    #parityBlocks: 1
    #blockSize: 10M
    # Playground
    #plugin: "playground"
    #method: "strip_compress"
    #fanout: 4
    #stripesize: 10M

  Namespace:
    plugin: "consistenthash"


  DeviceSelector:
    #plugin: "random"
    plugin: "roundrobin"
    # By Class settings
    #plugin: "byqos"



Coordinators:
  "gZone":
    Persistent:
      plugin: "boltdb"
      path: "/root/databases/gzone"
      Cleanstart: true
    Translators:
      "0":
        plugin: "sequencer"
        blockw2r: true
        blockw2w: true
        #                "1":
        #plugin: "frequency"
        #                    plugin: "visualizer"
        #                    imagePath : "/tmp/tromos_plots_"
    Proxy:
      plugin: "proxyrpc"
      uri: "10.200.0.1:8880"


  "kakala":
    Persistent:
      plugin: "boltdb"
      path: "/root/databases/kakala"
      Cleanstart: true
    Translators:
      "0":
        plugin: "sequencer"
        blockw2r: true
        blockw2w: true
        #                "1":
        #plugin: "frequency"
        #                    plugin: "visualizer"
        #                    imagePath : "/tmp/tromos_plots_"
    Proxy:
      plugin: "proxyrpc"
      uri: "10.200.0.2:8880"



Devices:

  "vm0d1":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd1"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.1:7771"
      timeout: 10m
  "vm0d2":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd2"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.1:7772"
      timeout: 10m
  "vm0d3":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd3"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.1:7773"
      timeout: 10m
  "vm0d4":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd4"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.1:7774"
      timeout: 10m



  "vm1d1":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd5"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.2:7771"
      timeout: 10m
  "vm1d2":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd6"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.2:7772"
      timeout: 10m
  "vm1d3":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd7"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.2:7773"
      timeout: 10m
  "vm1d4":
    Class: [ "default", "scannable", "cleanstart" ]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd8"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.2:7774"
      timeout: 10m


  "vm2d1":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd9"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.3:7771"
      timeout: 10m

  "vm2d2":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd10"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.3:7772"
      timeout: 10m

  "vm2d3":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd11"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.3:7773"
      timeout: 10m

  "vm2d4":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd12"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.3:7774"
      timeout: 10m

  "vm3d1":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd13"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.4:7771"
      timeout: 10m

  "vm3d2":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd14"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.4:7772"
      timeout: 10m

  "vm3d3":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd15"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.4:7773"
      timeout: 10m

  "vm3d4":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd16"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.4:7774"
      timeout: 10m

  "vm4d1":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd17"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.5:7771"
      timeout: 10m

  "vm4d2":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd18"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.5:7772"
      timeout: 10m

  "vm4d3":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd19"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.5:7773"
      timeout: 10m

  "vm4d4":
    Class: ["default", "scannable", "cleanstart"]
    Persistent:
      plugin: "filesystem"
      path: "/root/scratch/hdd20"
    Translators:
      "1":
        plugin: "blob"
        blocksize: 10M
    Proxy:
      plugin: "proxytcp"
      uri: "10.200.0.5:7774"
      timeout: 10m
